Package org.eclipse.birt.report.engine.api.script.instance

# Interface IReportItemInstance

All Superinterfaces:
  `IReportElementInstance`

All Known Subinterfaces:
  `IAbstractTextInstance`, `IDataItemInstance`, `IDynamicTextInstance`, `IGridInstance`, `IImageInstance`, `ILabelInstance`, `IListInstance`, `ITableInstance`, `ITextItemInstance`

public interface IReportItemInstance extends IReportElementInstance

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpText()`
Get the help text
`String`
`getHyperlink()`
Get the hyperlink
`String`
`getName()`
Get the name
`void`
`setHelpText(String helpText)`
Set the help text
`void`
`setName(String name)`
Set the name

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance

`getHeight, getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getStyle, getUserPropertyValue, getVerticalPosition, getWidth, setHeight, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

## Method Details

### getHyperlink

String getHyperlink()
Get the hyperlink

Returns:
  the hyperlink

### getName

String getName()
Get the name

### setName

void setName(String name)
Set the name

### getHelpText

String getHelpText()
Get the help text

### setHelpText

void setHelpText(String helpText)
Set the help text